Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface HasKeyPreview

    public interface HasKeyPreview

A class that implements this interface receives a preview of keyboard events before they are passed to the focused widget.

See Also:
  `KeyboardListener`

Method Summary
`boolean` | `onKeyDownPreview(char key, int modifiers)` Called when a key-down event is received.
`boolean` | `onKeyPressPreview(char key, int modifiers)` Called when a key-press event is received.
`boolean` | `onKeyUpPreview(char key, int modifiers)` Called when a key-up event is received.

Method Detail

### onKeyDownPreview

    boolean onKeyDownPreview(char key,
                             int modifiers)

  Called when a key-down event is received.

  Parameters:
    `key` - the physical key that was depressed. Constants for this value are defined in this interface with the KEYCODE prefix.
    `modifiers` - the modifier keys pressed at when the event occurred. This value is a combination of the bits defined by `KeyboardListener.MODIFIER_SHIFT`, `KeyboardListener.MODIFIER_CTRL`, and `KeyboardListener.MODIFIER_ALT`.

### onKeyPressPreview

    boolean onKeyPressPreview(char key,
                              int modifiers)

  Called when a key-press event is received.

  Parameters:
    `key` - the Unicode character that was generated by the keyboard action.
    `modifiers` - the modifier keys pressed at when the event occurred. This value is a combination of the bits defined by `KeyboardListener.MODIFIER_SHIFT`, `KeyboardListener.MODIFIER_CTRL`, and `KeyboardListener.MODIFIER_ALT`.

### onKeyUpPreview

    boolean onKeyUpPreview(char key,
                           int modifiers)

  Called when a key-up event is received.

  Parameters:
    `key` - the physical key that was released. Constants for this value are defined in this interface with the KEYCODE prefix.
    `modifiers` - the modifier keys pressed at when the event occurred. This value is a combination of the bits defined by `KeyboardListener.MODIFIER_SHIFT`, `KeyboardListener.MODIFIER_CTRL`, and `KeyboardListener.MODIFIER_ALT`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD